---

- name: Создание NFS сервера
  hosts: nastest

  tasks:
  - name: Установка пакетов {{ nas_nfs_server_pkgs }}
    apt_rpm:
      package: "{{ item }}"
      state: present
      update_cache: yes
    loop: "{{ nas_nfs_server_pkgs }}"

  - name: Переключение службы rpcbind для прослушивания внешних адресов
    ansible.builtin.command:
      cmd: "control rpcbind server"

  - name: Включение SECURE_NFS
    ansible.builtin.lineinfile:
      path: /etc/sysconfig/nfs
      create: true
      line: SECURE_NFS=yes

  - name: Создание разделяемого ресурса NFS
    ansible.builtin.file:
      path: "{{ nfs_share }}"
      state: directory
      mode: '0770'
      group: "{{ nfs_share_grp }}"

  - name: Настройка файла экспорта для {{ nfs_share }}
    ansible.builtin.blockinfile:
      path: /etc/exports
      block: |
        {{ nfs_root }} *(ro,no_subtree_check,fsid=0)
        {{ nfs_share }} *(rw,no_subtree_check,sec=krb5:krb5i:krb5p)

  - name: Обновление данных экспорта
    ansible.builtin.command:
      cmd: exportfs -ar

  - name: Перезапуск служб {{ nas_nfs_service }}
    ansible.builtin.systemd:
      name: "{{ item }}"
      enabled: true
      state: restarted
      masked: false
    loop: "{{ nas_nfs_service }}"